cURL
curl --request DELETE \
--url https://api.become1.de/api/v2/employees/{employeeId}/flex/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.become1.de/api/v2/employees/{employeeId}/flex/access"
payload = { "endDate": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({endDate: '2023-11-07T05:31:56Z'})
};
fetch('https://api.become1.de/api/v2/employees/{employeeId}/flex/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Flex
Revoke Flex Access
DELETE
/
api
/
v2
/
employees
/
{employeeId}
/
flex
/
access
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Make sure the date is UTC+0.
To have the access terminated on the end of January 2023, the input would be: 2023-01-31T23:59:59.999Z
This can be set up for any date going back in time up to the past 2 months until the 7th of the current month.
Example:
Current Date 7th of March -> earliest validUntil = 2023-01-31T23:59:59.999Z
Current Date 8th of March -> earlierst validUntil = 2023-02-29T23:59:59.999Z
The 7th of march is a reference date that can vary depending on the date of payroll creation.
Response
200 - application/json
⌘I